com.amazonaws.services.codedeploy.model

## Class StopDeploymentResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.StopDeploymentResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class StopDeploymentResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a stop deployment operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StopDeploymentResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StopDeploymentResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getStatus()` The status of the stop deployment operation:
`String` `getStatusMessage()` An accompanying status message.
`int` `hashCode()`
`void` `setStatus(StopStatus status)` The status of the stop deployment operation:
`void` `setStatus(String status)` The status of the stop deployment operation:
`void` `setStatusMessage(String statusMessage)` An accompanying status message.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StopDeploymentResult` `withStatus(StopStatus status)` The status of the stop deployment operation:
`StopDeploymentResult` `withStatus(String status)` The status of the stop deployment operation:
`StopDeploymentResult` `withStatusMessage(String statusMessage)` An accompanying status message.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopDeploymentResult

    public StopDeploymentResult()

### Method Detail

#### setStatus

    public void setStatus(String status)

The status of the stop deployment operation:

- Pending: The stop operation is pending.

- Succeeded: The stop operation was successful.

Parameters:
  `status` - The status of the stop deployment operation:

  - Pending: The stop operation is pending.

  - Succeeded: The stop operation was successful.

See Also:
  `StopStatus`

#### getStatus

    public String getStatus()

The status of the stop deployment operation:

- Pending: The stop operation is pending.

- Succeeded: The stop operation was successful.

Returns:
  The status of the stop deployment operation:

  - Pending: The stop operation is pending.

  - Succeeded: The stop operation was successful.

See Also:
  `StopStatus`

#### withStatus

    public StopDeploymentResult withStatus(String status)

The status of the stop deployment operation:

- Pending: The stop operation is pending.

- Succeeded: The stop operation was successful.

Parameters:
  `status` - The status of the stop deployment operation:

  - Pending: The stop operation is pending.

  - Succeeded: The stop operation was successful.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StopStatus`

#### setStatus

    public void setStatus(StopStatus status)

The status of the stop deployment operation:

- Pending: The stop operation is pending.

- Succeeded: The stop operation was successful.

Parameters:
  `status` - The status of the stop deployment operation:

  - Pending: The stop operation is pending.

  - Succeeded: The stop operation was successful.

See Also:
  `StopStatus`

#### withStatus

    public StopDeploymentResult withStatus(StopStatus status)

The status of the stop deployment operation:

- Pending: The stop operation is pending.

- Succeeded: The stop operation was successful.

Parameters:
  `status` - The status of the stop deployment operation:

  - Pending: The stop operation is pending.

  - Succeeded: The stop operation was successful.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StopStatus`

#### setStatusMessage

    public void setStatusMessage(String statusMessage)

An accompanying status message.

Parameters:
  `statusMessage` - An accompanying status message.

#### getStatusMessage

    public String getStatusMessage()

An accompanying status message.

Returns:
  An accompanying status message.

#### withStatusMessage

    public StopDeploymentResult withStatusMessage(String statusMessage)

An accompanying status message.

Parameters:
  `statusMessage` - An accompanying status message.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StopDeploymentResult clone()

Overrides:
  `clone` in class `Object`